Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar.model
Class ModelInitialization

    java.lang.Object
      org.kemet.impl.grammar.model.ModelInitialization

    public class ModelInitialization

extends java.lang.Object

Since:
  0.6
Author:
  fabricemaupin

  model initialization for the grammar manager.

Constructor Summary
`ModelInitialization(Sign[] signs, int index, DAL dal, java.util.HashMap args)` initialize the model.

Method Summary
`static void` | `clear()` clear list of informations about signs.
`static java.util.Hashtable<java.lang.String,java.lang.String>` | `getSignInfo()` return informations about signs.
`Transliteration` | `getTransliteration()` return current transliteration object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelInitialization

    public ModelInitialization(Sign[] signs,
                               int index,
                               DAL dal,
                               java.util.HashMap args)
                        throws KemetAPIException

  initialize the model.

  Parameters:
    `signs` - list of signs
    `index` - current index
    `dal` - current data access layer
    `args` - informations about grammar manager
  Throws:
    `KemetAPIException`
  Since:
    0.6

Method Detail

### getSignInfo

    public static java.util.Hashtable<java.lang.String,java.lang.String> getSignInfo()

  return informations about signs.

  Returns:
    informations about sign
  Since:
    0.6

### getTransliteration

    public Transliteration getTransliteration()

  return current transliteration object.

  Returns:
    current transliteration object
  Since:
    0.6

### clear

    public static void clear()

  clear list of informations about signs.

  Since:
    0.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.